bk://bk.arm.linux.org.uk/linux-2.6-pcmcia
rmk@flint.arm.linux.org.uk|ChangeSet|20040817090838|52156 rmk

# This is a BitKeeper generated diff -Nru style patch.
#
# ChangeSet
#   2004/08/17 10:08:38+01:00 rmk@flint.arm.linux.org.uk 
#   [PCMCIA] Fix case of two "skt" variables.
#   
#   We want the value preserved across both sections of code such that
#   the cleanup works as expected.
# 
# drivers/pcmcia/soc_common.c
#   2004/08/17 10:06:38+01:00 rmk@flint.arm.linux.org.uk +3 -2
#   Don't declare two 'skt' variables - we want the value to be preserved
#   across both sections of code.
# 
# ChangeSet
#   2004/07/12 21:20:30-07:00 akpm@bix.(none) 
#   Merge bix.(none):/usr/src/bk25 into bix.(none):/usr/src/bk-pcmcia
# 
# drivers/ide/legacy/ide-cs.c
#   2004/07/12 21:20:26-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
# ChangeSet
#   2004/06/26 18:49:10-07:00 akpm@bix.(none) 
#   Merge bix.(none):/usr/src/bk25 into bix.(none):/usr/src/bk-pcmcia
# 
# drivers/pcmcia/yenta_socket.c
#   2004/06/26 18:49:07-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
# drivers/pcmcia/i82365.c
#   2004/06/26 18:49:07-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
# drivers/ide/legacy/ide-cs.c
#   2004/06/26 18:49:07-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
# ChangeSet
#   2004/06/24 12:55:15-07:00 akpm@bix.(none) 
#   Merge bix.(none):/usr/src/bk25 into bix.(none):/usr/src/bk-pcmcia
# 
# drivers/ide/legacy/ide-cs.c
#   2004/06/24 12:55:11-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
# ChangeSet
#   2004/06/20 23:57:00-07:00 akpm@bix.(none) 
#   Merge bk://bk.arm.linux.org.uk/linux-2.6-pcmcia
#   into bix.(none):/usr/src/bk-pcmcia
# 
# drivers/pcmcia/yenta_socket.c
#   2004/06/20 23:56:57-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
# drivers/pcmcia/i82365.c
#   2004/06/20 23:56:57-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
diff -Nru a/drivers/pcmcia/soc_common.c b/drivers/pcmcia/soc_common.c
--- a/drivers/pcmcia/soc_common.c	2004-08-18 23:23:19 -07:00
+++ b/drivers/pcmcia/soc_common.c	2004-08-18 23:23:19 -07:00
@@ -662,6 +662,7 @@
 int soc_common_drv_pcmcia_probe(struct device *dev, struct pcmcia_low_level *ops, int first, int nr)
 {
 	struct skt_dev_info *sinfo;
+	struct soc_pcmcia_socket *skt;
 	int ret, i;
 
 	down(&soc_pcmcia_sockets_lock);
@@ -679,7 +680,7 @@
 	 * Initialise the per-socket structure.
 	 */
 	for (i = 0; i < nr; i++) {
-		struct soc_pcmcia_socket *skt = &sinfo->skt[i];
+		skt = &sinfo->skt[i];
 
 		skt->socket.ops = &soc_common_pcmcia_operations;
 		skt->socket.owner = ops->owner;
@@ -777,7 +778,7 @@
 	goto out;
 
 	do {
-		struct soc_pcmcia_socket *skt = &sinfo->skt[i];
+		skt = &sinfo->skt[i];
 
 		del_timer_sync(&skt->poll_timer);
 		pcmcia_unregister_socket(&skt->socket);
